Subject: Re: XPaint-2.5.3
From: [email-masked] (Arlindo da Silva)

31 Jan 1998 13:04:38 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Tijs,

> 
> I downloaded XPaint-2.5.3 from 
> http://www.danbbs.dk/~torsten/xpaint/index.html, applied the attached
> patch and got it to compile with a straightforward:
> 
>   bash xmkmf
>   make Makefiles
>   make
>   make install
> 
> However, when I try to execute XPaint.exe it displays the following
> error message
> 
>   X Error of failed request:  BadLength (poly request too large or
>    internal Xlib length error)
>     Major opcode of failed request:  72 (X_PutImage)
>     Serial number of failed request:  702
>    Current serial number in output stream:  710
> 
> and bails out.
> 
> Any suggestions??
>

I am afraid this could be X server specific. Which X server are you
using? I have been able to build Xpaint 2.5.3 and it works with my
Exceed X server on win95. My patches are similar but not identical
to yours; take a look at:

     ftp://niteroi.gsfc.nasa.gov/pub/win32/etc/xpaint32.tgz

BTW, I am using the XPM binaries on

     http://dao.gsfc.nasa.gov/software/grads/win32/X11R6.3

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".